Package org.codehaus.janino.util

# Class ClassFile.ClassFileException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.codehaus.janino.util.ClassFile.ClassFileException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ClassFile`

public static class ClassFile.ClassFileException extends RuntimeException
Unchecked exception that represents an error condition that could occur during processing of class files, e.g. reading a corrupt class file, or an overflow of the constant pool.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ClassFileException(String message)`
`ClassFileException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClassFileException

public ClassFileException(String message)

### ClassFileException

public ClassFileException(String message, Throwable cause)